std::__detail::_Quoted_string< _String, _CharT > Struct Template Reference

`#include <quoted_string.h>`

## Public Member Functions

| _Quoted_string (_String __str, _CharT __del, _CharT __esc)
_Quoted_string & | operator= (_Quoted_string &)=delete

## Public Attributes

_CharT | _M_delim
_CharT | _M_escape
_String | _M_string

## Detailed Description

template<typename _String, typename _CharT>
struct std::__detail::_Quoted_string< _String, _CharT >

Struct for delimited strings.

Definition at line 51 of file quoted_string.h.

## Constructor & Destructor Documentation

## _Quoted_string()

template<typename _String, typename _CharT>

std::__detail::_Quoted_string< _String, _CharT >::_Quoted_string | ( | _String | __str,
|  | _CharT | __del,
|  | _CharT | __esc )

inline

Definition at line 57 of file quoted_string.h.

## Member Data Documentation

## _M_delim

template<typename _String, typename _CharT>

_CharT std::__detail::_Quoted_string< _String, _CharT >::_M_delim

Definition at line 65 of file quoted_string.h.

## _M_escape

template<typename _String, typename _CharT>

_CharT std::__detail::_Quoted_string< _String, _CharT >::_M_escape

Definition at line 66 of file quoted_string.h.

## _M_string

template<typename _String, typename _CharT>

_String std::__detail::_Quoted_string< _String, _CharT >::_M_string

Definition at line 64 of file quoted_string.h.

The documentation for this struct was generated from the following file:

- quoted_string.h